<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN""http://www.w3.org/TR/REC-html40/frameset.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc on Tue Jan 11 10:54:16 PST 2005 -->
<TITLE>
: Uses of Package org.eclipse.wst.rdb.internal.models.sql.datatypes
</TITLE>
<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../../stylesheet.css" TITLE="Style">
</HEAD>
<BODY BGCOLOR="white">

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_top"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-use.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>
<CENTER>
<H2>
<B>Uses of Package<br>org.eclipse.wst.rdb.internal.models.sql.datatypes</B></H2>
</CENTER>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
Packages that use <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.datatypes</A></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>org.eclipse.wst.rdb.internal.models.sql.datatypes</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>org.eclipse.wst.rdb.internal.models.sql.datatypes.impl</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.eclipse.wst.rdb.internal.models.sql.datatypes.util"><B>org.eclipse.wst.rdb.internal.models.sql.datatypes.util</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.eclipse.wst.rdb.internal.models.sql.schema"><B>org.eclipse.wst.rdb.internal.models.sql.schema</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.eclipse.wst.rdb.internal.models.sql.schema.impl"><B>org.eclipse.wst.rdb.internal.models.sql.schema.impl</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.eclipse.wst.rdb.internal.models.sql.tables"><B>org.eclipse.wst.rdb.internal.models.sql.tables</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.eclipse.wst.rdb.internal.models.sql.tables.impl"><B>org.eclipse.wst.rdb.internal.models.sql.tables.impl</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.eclipse.wst.rdb.internal.models.sql.datatypes"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
Classes in <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.datatypes</A> used by <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.datatypes</A><TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/ApproximateNumericDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>ApproximateNumericDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Approximate Numeric Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/AttributeDefinition.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>AttributeDefinition</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Attribute Definition</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/BinaryStringDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>BinaryStringDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Binary String Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/BooleanDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>BooleanDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Boolean Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/CharacterSet.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>CharacterSet</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Character Set</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/CharacterStringDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>CharacterStringDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Character String Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/CoercibilityType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>CoercibilityType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Coercibility Type</b></em>',
 and utility methods for working with them.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/CollectionDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>CollectionDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Collection Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/ConstructedDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>ConstructedDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Constructed Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/DataLinkDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>DataLinkDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Data Link Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/DataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>DataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/DateDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>DateDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Date Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/DistinctUserDefinedType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>DistinctUserDefinedType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Distinct User Defined Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/Domain.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>Domain</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Domain</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/ExactNumericDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>ExactNumericDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Exact Numeric Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/Field.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>Field</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Field</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/FixedPrecisionDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>FixedPrecisionDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Fixed Precision Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/IntegerDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>IntegerDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Integer Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/IntegrityControlOption.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>IntegrityControlOption</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Integrity Control Option</b></em>',
 and utility methods for working with them.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/IntervalDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>IntervalDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Interval Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/IntervalQualifierType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>IntervalQualifierType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Interval Qualifier Type</b></em>',
 and utility methods for working with them.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/LinkControlOption.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>LinkControlOption</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Link Control Option</b></em>',
 and utility methods for working with them.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/NumericalDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>NumericalDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Numerical Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/OrderingCategoryType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>OrderingCategoryType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Ordering Category Type</b></em>',
 and utility methods for working with them.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/OrderingType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>OrderingType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Ordering Type</b></em>',
 and utility methods for working with them.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/PredefinedDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>PredefinedDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Predefined Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/PrimitiveType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>PrimitiveType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Primitive Type</b></em>',
 and utility methods for working with them.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/ReadPermissionOption.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>ReadPermissionOption</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Read Permission Option</b></em>',
 and utility methods for working with them.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/RowDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>RowDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Row Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/SQLDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>SQLDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>SQL Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/SQLDataTypesFactory.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>SQLDataTypesFactory</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 The <b>Factory</b> for the model.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/SQLDataTypesPackage.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>SQLDataTypesPackage</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 The <b>Package</b> for the model.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/StructuredUserDefinedType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>StructuredUserDefinedType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Structured User Defined Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/TimeDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>TimeDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Time Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/UnlinkOption.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>UnlinkOption</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Unlink Option</b></em>',
 and utility methods for working with them.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/UserDefinedType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>UserDefinedType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>User Defined Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/UserDefinedTypeOrdering.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>UserDefinedTypeOrdering</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>User Defined Type Ordering</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/WritePermissionOption.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>WritePermissionOption</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Write Permission Option</b></em>',
 and utility methods for working with them.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/XMLDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes"><B>XMLDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>XML Data Type</b></em>'.</TD>
</TR>
</FONT></TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
Classes in <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.datatypes</A> used by <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/impl/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.datatypes.impl</A><TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/ApproximateNumericDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>ApproximateNumericDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Approximate Numeric Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/ArrayDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>ArrayDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Array Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/AttributeDefinition.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>AttributeDefinition</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Attribute Definition</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/BinaryStringDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>BinaryStringDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Binary String Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/BooleanDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>BooleanDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Boolean Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/CharacterSet.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>CharacterSet</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Character Set</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/CharacterStringDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>CharacterStringDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Character String Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/CoercibilityType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>CoercibilityType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Coercibility Type</b></em>',
 and utility methods for working with them.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/CollectionDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>CollectionDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Collection Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/ConstructedDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>ConstructedDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Constructed Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/DataLinkDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>DataLinkDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Data Link Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/DataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>DataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/DateDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>DateDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Date Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/DistinctUserDefinedType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>DistinctUserDefinedType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Distinct User Defined Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/Domain.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>Domain</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Domain</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/ExactNumericDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>ExactNumericDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Exact Numeric Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/Field.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>Field</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Field</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/FixedPrecisionDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>FixedPrecisionDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Fixed Precision Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/IntegerDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>IntegerDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Integer Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/IntegrityControlOption.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>IntegrityControlOption</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Integrity Control Option</b></em>',
 and utility methods for working with them.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/IntervalDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>IntervalDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Interval Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/IntervalQualifierType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>IntervalQualifierType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Interval Qualifier Type</b></em>',
 and utility methods for working with them.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/LinkControlOption.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>LinkControlOption</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Link Control Option</b></em>',
 and utility methods for working with them.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/MultisetDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>MultisetDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Multiset Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/NumericalDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>NumericalDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Numerical Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/OrderingCategoryType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>OrderingCategoryType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Ordering Category Type</b></em>',
 and utility methods for working with them.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/OrderingType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>OrderingType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Ordering Type</b></em>',
 and utility methods for working with them.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/PredefinedDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>PredefinedDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Predefined Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/PrimitiveType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>PrimitiveType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Primitive Type</b></em>',
 and utility methods for working with them.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/ReadPermissionOption.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>ReadPermissionOption</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Read Permission Option</b></em>',
 and utility methods for working with them.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/ReferenceDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>ReferenceDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Reference Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/RowDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>RowDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Row Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/SQLDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>SQLDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>SQL Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/SQLDataTypesFactory.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>SQLDataTypesFactory</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 The <b>Factory</b> for the model.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/SQLDataTypesPackage.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>SQLDataTypesPackage</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 The <b>Package</b> for the model.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/StructuredUserDefinedType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>StructuredUserDefinedType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Structured User Defined Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/TimeDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>TimeDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Time Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/UnlinkOption.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>UnlinkOption</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Unlink Option</b></em>',
 and utility methods for working with them.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/UserDefinedType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>UserDefinedType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>User Defined Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/UserDefinedTypeOrdering.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>UserDefinedTypeOrdering</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>User Defined Type Ordering</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/WritePermissionOption.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>WritePermissionOption</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Write Permission Option</b></em>',
 and utility methods for working with them.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/XMLDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.impl"><B>XMLDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>XML Data Type</b></em>'.</TD>
</TR>
</FONT></TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.eclipse.wst.rdb.internal.models.sql.datatypes.util"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
Classes in <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.datatypes</A> used by <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.datatypes.util</A><TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/ApproximateNumericDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.util"><B>ApproximateNumericDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Approximate Numeric Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/ArrayDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.util"><B>ArrayDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Array Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/AttributeDefinition.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.util"><B>AttributeDefinition</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Attribute Definition</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/BinaryStringDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.util"><B>BinaryStringDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Binary String Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/BooleanDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.util"><B>BooleanDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Boolean Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/CharacterSet.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.util"><B>CharacterSet</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Character Set</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/CharacterStringDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.util"><B>CharacterStringDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Character String Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/CollectionDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.util"><B>CollectionDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Collection Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/ConstructedDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.util"><B>ConstructedDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Constructed Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/DataLinkDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.util"><B>DataLinkDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Data Link Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/DataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.util"><B>DataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/DateDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.util"><B>DateDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Date Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/DistinctUserDefinedType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.util"><B>DistinctUserDefinedType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Distinct User Defined Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/Domain.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.util"><B>Domain</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Domain</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/ExactNumericDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.util"><B>ExactNumericDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Exact Numeric Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/Field.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.util"><B>Field</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Field</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/FixedPrecisionDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.util"><B>FixedPrecisionDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Fixed Precision Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/IntegerDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.util"><B>IntegerDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Integer Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/IntervalDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.util"><B>IntervalDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Interval Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/MultisetDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.util"><B>MultisetDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Multiset Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/NumericalDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.util"><B>NumericalDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Numerical Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/PredefinedDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.util"><B>PredefinedDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Predefined Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/ReferenceDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.util"><B>ReferenceDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Reference Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/RowDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.util"><B>RowDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Row Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/SQLDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.util"><B>SQLDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>SQL Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/StructuredUserDefinedType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.util"><B>StructuredUserDefinedType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Structured User Defined Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/TimeDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.util"><B>TimeDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Time Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/UserDefinedType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.util"><B>UserDefinedType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>User Defined Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/UserDefinedTypeOrdering.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.util"><B>UserDefinedTypeOrdering</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>User Defined Type Ordering</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/XMLDataType.html#org.eclipse.wst.rdb.internal.models.sql.datatypes.util"><B>XMLDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>XML Data Type</b></em>'.</TD>
</TR>
</FONT></TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.eclipse.wst.rdb.internal.models.sql.schema"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
Classes in <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.datatypes</A> used by <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.schema</A><TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/DataType.html#org.eclipse.wst.rdb.internal.models.sql.schema"><B>DataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/SQLDataType.html#org.eclipse.wst.rdb.internal.models.sql.schema"><B>SQLDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>SQL Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/UserDefinedType.html#org.eclipse.wst.rdb.internal.models.sql.schema"><B>UserDefinedType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>User Defined Type</b></em>'.</TD>
</TR>
</FONT></TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.eclipse.wst.rdb.internal.models.sql.schema.impl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
Classes in <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.datatypes</A> used by <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.schema.impl</A><TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/DataType.html#org.eclipse.wst.rdb.internal.models.sql.schema.impl"><B>DataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/SQLDataType.html#org.eclipse.wst.rdb.internal.models.sql.schema.impl"><B>SQLDataType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>SQL Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/UserDefinedType.html#org.eclipse.wst.rdb.internal.models.sql.schema.impl"><B>UserDefinedType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>User Defined Type</b></em>'.</TD>
</TR>
</FONT></TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.eclipse.wst.rdb.internal.models.sql.tables"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
Classes in <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.datatypes</A> used by <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.tables</A><TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/StructuredUserDefinedType.html#org.eclipse.wst.rdb.internal.models.sql.tables"><B>StructuredUserDefinedType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Structured User Defined Type</b></em>'.</TD>
</TR>
</FONT></TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.eclipse.wst.rdb.internal.models.sql.tables.impl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
Classes in <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.datatypes</A> used by <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/impl/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.tables.impl</A><TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/class-use/StructuredUserDefinedType.html#org.eclipse.wst.rdb.internal.models.sql.tables.impl"><B>StructuredUserDefinedType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Structured User Defined Type</b></em>'.</TD>
</TR>
</FONT></TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_bottom"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-use.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>

</BODY>
</HTML>
